Bug 433743 - virt-manager option to choose network device model
virt-manager option to choose network device model
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 431063
  Show dependency treegraph
Reported: 2008-02-20 23:48 EST by Matt Domsch
Modified: 2009-03-04 12:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-04 12:09:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2008-02-20 23:48:49 EST
Description of problem:
Related to https://bugzilla.redhat.com/show_bug.cgi?id=431063

qemu-kvm -nic model={virtio,e1000,...} options would be nice to be able to be
passed from virt-manager.

Version-Release number of selected component (if applicable):
Comment 1 Michel Alexandre Salim 2008-06-20 01:35:53 EDT
In the meantime, better documentation on how to add them to the .xml domain
config file manually would help. I resorted to downloading the libvirt source
and copying the settings from one of the sexp->xml test cases!

(the virtualization-related spec files ought to include the full download URLs,
by the way, so that spectool -gf can download them easily)
Comment 2 Matt Domsch 2008-07-16 11:42:42 EDT
ping, been open 5 months with no comment...
Comment 3 Mark McLoughlin 2008-07-29 09:50:54 EDT
See also bug #457055
Comment 4 Cole Robinson 2009-01-23 12:12:03 EST
Sorry for the long delay on this! This is now implemented upstream. When adding a nic to an existing VM via the 'Add Hardware' wizard, there is an option to select a nic model. A new version of virt-manager will be out next week, and eventually make it's way to F10.

Moving to POST.
Comment 5 Cole Robinson 2009-03-04 12:09:49 EST
Oops, this bug was filed against rawhide, so closing (feature is present in virt-manager 0.6.1)

Note You need to log in before you can comment on or make changes to this bug.